<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="NewbieChat">
  <database-model serializer="dbm" rdbms="POSTGRES" format-version="4.7">
    <root id="1"/>
    <database id="2" parent="1" name="newbieChat">
      <ObjectId>16394</ObjectId>
      <Current>1</Current>
      <Visible>1</Visible>
    </database>
    <database id="3" parent="1" name="postgres">
      <ObjectId>12938</ObjectId>
      <Current>1</Current>
    </database>
    <role id="4" parent="1" name="admin">
      <ObjectId>16393</ObjectId>
      <SuperRole>1</SuperRole>
      <Inherit>1</Inherit>
      <CreateRole>1</CreateRole>
      <CreateDb>1</CreateDb>
      <CanLogin>1</CanLogin>
      <Replication>1</Replication>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="5" parent="1" name="pg_monitor">
      <ObjectId>3373</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="6" parent="1" name="pg_read_all_settings">
      <ObjectId>3374</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="7" parent="1" name="pg_read_all_stats">
      <ObjectId>3375</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="8" parent="1" name="pg_signal_backend">
      <ObjectId>4200</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="9" parent="1" name="pg_stat_scan_tables">
      <ObjectId>3377</ObjectId>
      <Inherit>1</Inherit>
      <ConnectionLimit>-1</ConnectionLimit>
    </role>
    <role id="10" parent="1" name="postgres">
      <ObjectId>10</ObjectId>
      <SuperRole>1</SuperRole>
      <Inherit>1</Inherit>
      <CreateRole>1</CreateRole>
      <CreateDb>1</CreateDb>
      <CanLogin>1</CanLogin>
      <Replication>1</Replication>
      <ConnectionLimit>-1</ConnectionLimit>
      <BypassRls>1</BypassRls>
    </role>
    <schema id="11" parent="2" name="public">
      <ObjectId>2200</ObjectId>
      <IntrospectionTimestamp>2018-11-25.22:46:22.983</IntrospectionTimestamp>
      <IntrospectionStateNumber>512422</IntrospectionStateNumber>
      <Current>1</Current>
      <Visible>1</Visible>
    </schema>
    <schema id="12" parent="2" name="pg_catalog">
      <ObjectId>11</ObjectId>
    </schema>
    <schema id="13" parent="2" name="pg_toast">
      <ObjectId>99</ObjectId>
    </schema>
    <schema id="14" parent="2" name="pg_temp_1">
      <ObjectId>11736</ObjectId>
    </schema>
    <schema id="15" parent="2" name="pg_toast_temp_1">
      <ObjectId>11737</ObjectId>
    </schema>
    <schema id="16" parent="2" name="information_schema">
      <ObjectId>12648</ObjectId>
    </schema>
    <sequence id="17" parent="11" name="client_id_seq">
      <ObjectId>72345</ObjectId>
      <StateNumber>512390</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <BelongsToColumn>1</BelongsToColumn>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <sequence id="18" parent="11" name="game_profile_id_seq">
      <ObjectId>72366</ObjectId>
      <StateNumber>512419</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <BelongsToColumn>1</BelongsToColumn>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <sequence id="19" parent="11" name="hibernate_sequence">
      <ObjectId>68218</ObjectId>
      <StateNumber>90145</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <sequence id="20" parent="11" name="message_id_seq">
      <ObjectId>72382</ObjectId>
      <StateNumber>512395</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <BelongsToColumn>1</BelongsToColumn>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <sequence id="21" parent="11" name="profile_id_seq">
      <ObjectId>72393</ObjectId>
      <StateNumber>512420</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <BelongsToColumn>1</BelongsToColumn>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <sequence id="22" parent="11" name="status_id_seq">
      <ObjectId>72404</ObjectId>
      <StateNumber>512421</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <BelongsToColumn>1</BelongsToColumn>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <sequence id="23" parent="11" name="users_id_seq">
      <ObjectId>72412</ObjectId>
      <StateNumber>512422</StateNumber>
      <SequenceIdentity>1</SequenceIdentity>
      <BelongsToColumn>1</BelongsToColumn>
      <CacheSize>1</CacheSize>
      <DataType>bigint</DataType>
    </sequence>
    <table id="24" parent="11" name="client">
      <ObjectId>72347</ObjectId>
      <StateNumber>512404</StateNumber>
    </table>
    <table id="25" parent="11" name="config_game_profile">
      <ObjectId>72353</ObjectId>
      <StateNumber>512407</StateNumber>
    </table>
    <table id="26" parent="11" name="contact_list">
      <ObjectId>72361</ObjectId>
      <StateNumber>512406</StateNumber>
    </table>
    <table id="27" parent="11" name="game_profile">
      <ObjectId>72368</ObjectId>
      <StateNumber>512416</StateNumber>
    </table>
    <table id="28" parent="11" name="match">
      <ObjectId>72377</ObjectId>
      <StateNumber>512409</StateNumber>
    </table>
    <table id="29" parent="11" name="message">
      <ObjectId>72384</ObjectId>
      <StateNumber>512411</StateNumber>
    </table>
    <table id="30" parent="11" name="profile">
      <ObjectId>72395</ObjectId>
      <StateNumber>512412</StateNumber>
    </table>
    <table id="31" parent="11" name="status">
      <ObjectId>72406</ObjectId>
      <StateNumber>512413</StateNumber>
    </table>
    <table id="32" parent="11" name="users">
      <ObjectId>72414</ObjectId>
      <StateNumber>512417</StateNumber>
    </table>
    <table id="33" parent="11" name="users_ban_list">
      <ObjectId>72423</ObjectId>
      <StateNumber>512415</StateNumber>
    </table>
    <table id="34" parent="11" name="users_game_profile">
      <ObjectId>72426</ObjectId>
      <StateNumber>512417</StateNumber>
    </table>
    <column id="35" parent="24" name="id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512390</StateNumber>
      <DefaultExpression>nextval(&apos;client_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>20</TypeId>
      <SequenceName>client_id_seq</SequenceName>
    </column>
    <column id="36" parent="24" name="client_id">
      <Position>2</Position>
      <DataType>varchar(255)|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512390</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="37" parent="24" name="login_date">
      <Position>3</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>512390</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="38" parent="24" name="logout_date">
      <Position>4</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>512390</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="39" parent="24" name="user_id">
      <Position>5</Position>
      <DataType>bigint|0s</DataType>
      <StateNumber>512390</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <index id="40" parent="24" name="client_pkey">
      <ObjectId>72351</ObjectId>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="41" parent="24" name="client_pkey">
      <ObjectId>72352</ObjectId>
      <ColNames>id</ColNames>
      <UnderlyingIndexName>client_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <foreign-key id="42" parent="24" name="fkbxisi412kym1baqfr00rxd8yo">
      <ObjectId>72435</ObjectId>
      <ColNames>user_id</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="43" parent="25" name="game">
      <Position>1</Position>
      <DataType>varchar(255)|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512391</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="44" parent="25" name="details">
      <Position>2</Position>
      <DataType>varchar(2000)|0s</DataType>
      <StateNumber>512391</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <index id="45" parent="25" name="config_game_profile_pkey">
      <ObjectId>72359</ObjectId>
      <ColNames>game</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="46" parent="25" name="config_game_profile_pkey">
      <ObjectId>72360</ObjectId>
      <ColNames>game</ColNames>
      <UnderlyingIndexName>config_game_profile_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <column id="47" parent="26" name="contact">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512392</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="48" parent="26" name="owner">
      <Position>2</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512392</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <index id="49" parent="26" name="contact_list_pkey">
      <ObjectId>72364</ObjectId>
      <ColNames>contact
owner</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="50" parent="26" name="contact_list_pkey">
      <ObjectId>72365</ObjectId>
      <ColNames>contact
owner</ColNames>
      <UnderlyingIndexName>contact_list_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <foreign-key id="51" parent="26" name="fk47em51j0kf7apmiqjyi09n9mx">
      <ObjectId>72440</ObjectId>
      <ColNames>contact</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="52" parent="26" name="fkou30eg9a1gkdktosl1s7c5cxw">
      <ObjectId>72445</ObjectId>
      <ColNames>owner</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="53" parent="27" name="id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512393</StateNumber>
      <DefaultExpression>nextval(&apos;game_profile_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>20</TypeId>
      <SequenceName>game_profile_id_seq</SequenceName>
    </column>
    <column id="54" parent="27" name="details">
      <Position>2</Position>
      <DataType>varchar(4096)|0s</DataType>
      <StateNumber>512393</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="55" parent="27" name="config_game_profile">
      <Position>3</Position>
      <DataType>varchar(255)|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512393</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <index id="56" parent="27" name="game_profile_pkey">
      <ObjectId>72375</ObjectId>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="57" parent="27" name="game_profile_pkey">
      <ObjectId>72376</ObjectId>
      <ColNames>id</ColNames>
      <UnderlyingIndexName>game_profile_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <foreign-key id="58" parent="27" name="fk30mlqcmm9ea8yvfal124s4a5e">
      <ObjectId>72450</ObjectId>
      <ColNames>config_game_profile</ColNames>
      <RefTableId>72353</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>config_game_profile</RefTableName>
      <RefKeyName>config_game_profile_pkey</RefKeyName>
      <RefColNames>game</RefColNames>
    </foreign-key>
    <column id="59" parent="28" name="user1">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512394</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="60" parent="28" name="user2">
      <Position>2</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512394</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="61" parent="28" name="agree1">
      <Position>3</Position>
      <DataType>boolean|0s</DataType>
      <StateNumber>512394</StateNumber>
      <TypeId>16</TypeId>
    </column>
    <column id="62" parent="28" name="agree2">
      <Position>4</Position>
      <DataType>boolean|0s</DataType>
      <StateNumber>512394</StateNumber>
      <TypeId>16</TypeId>
    </column>
    <column id="63" parent="28" name="created_date">
      <Position>5</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>512394</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <index id="64" parent="28" name="match_pkey">
      <ObjectId>72380</ObjectId>
      <ColNames>user1
user2</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="65" parent="28" name="match_pkey">
      <ObjectId>72381</ObjectId>
      <ColNames>user1
user2</ColNames>
      <UnderlyingIndexName>match_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <foreign-key id="66" parent="28" name="fk72k25xfib2x4jbghcnvw6md73">
      <ObjectId>72455</ObjectId>
      <ColNames>user1</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="67" parent="28" name="fkebuism3sghgk01uhp4w1lnmpc">
      <ObjectId>72460</ObjectId>
      <ColNames>user2</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="68" parent="29" name="id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512395</StateNumber>
      <DefaultExpression>nextval(&apos;message_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>20</TypeId>
      <SequenceName>message_id_seq</SequenceName>
    </column>
    <column id="69" parent="29" name="content">
      <Position>2</Position>
      <DataType>varchar(2048)|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512395</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="70" parent="29" name="read">
      <Position>3</Position>
      <DataType>boolean|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512395</StateNumber>
      <TypeId>16</TypeId>
    </column>
    <column id="71" parent="29" name="send_date">
      <Position>4</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>512395</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="72" parent="29" name="send_from">
      <Position>5</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512395</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="73" parent="29" name="send_to">
      <Position>6</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512395</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <index id="74" parent="29" name="message_pkey">
      <ObjectId>72391</ObjectId>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="75" parent="29" name="message_pkey">
      <ObjectId>72392</ObjectId>
      <ColNames>id</ColNames>
      <UnderlyingIndexName>message_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <foreign-key id="76" parent="29" name="fkfn1fa8cs06oeymrvescs1xuuu">
      <ObjectId>72465</ObjectId>
      <ColNames>send_from</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="77" parent="29" name="fk6omvkmjd90ji91sjs8s1vpgrx">
      <ObjectId>72470</ObjectId>
      <ColNames>send_to</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="78" parent="30" name="id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512396</StateNumber>
      <DefaultExpression>nextval(&apos;profile_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>20</TypeId>
      <SequenceName>profile_id_seq</SequenceName>
    </column>
    <column id="79" parent="30" name="age">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="80" parent="30" name="city">
      <Position>3</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="81" parent="30" name="country">
      <Position>4</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="82" parent="30" name="gaming_style">
      <Position>5</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="83" parent="30" name="sex">
      <Position>6</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="84" parent="30" name="time_of_day">
      <Position>7</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="85" parent="30" name="time_spent">
      <Position>8</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512396</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <index id="86" parent="30" name="profile_pkey">
      <ObjectId>72402</ObjectId>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="87" parent="30" name="profile_pkey">
      <ObjectId>72403</ObjectId>
      <ColNames>id</ColNames>
      <UnderlyingIndexName>profile_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <column id="88" parent="31" name="id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512397</StateNumber>
      <DefaultExpression>nextval(&apos;status_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>20</TypeId>
      <SequenceName>status_id_seq</SequenceName>
    </column>
    <column id="89" parent="31" name="online">
      <Position>2</Position>
      <DataType>boolean|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512397</StateNumber>
      <TypeId>16</TypeId>
    </column>
    <column id="90" parent="31" name="status_details">
      <Position>3</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512397</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="91" parent="31" name="status_type">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512397</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <index id="92" parent="31" name="status_pkey">
      <ObjectId>72410</ObjectId>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="93" parent="31" name="status_pkey">
      <ObjectId>72411</ObjectId>
      <ColNames>id</ColNames>
      <UnderlyingIndexName>status_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <column id="94" parent="32" name="id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512398</StateNumber>
      <DefaultExpression>nextval(&apos;users_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>20</TypeId>
      <SequenceName>users_id_seq</SequenceName>
    </column>
    <column id="95" parent="32" name="avatar_url">
      <Position>2</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="96" parent="32" name="birthday">
      <Position>3</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="97" parent="32" name="language">
      <Position>4</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="98" parent="32" name="login">
      <Position>5</Position>
      <DataType>varchar(255)|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512398</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="99" parent="32" name="name">
      <Position>6</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="100" parent="32" name="password">
      <Position>7</Position>
      <DataType>varchar(255)|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="101" parent="32" name="profile_id">
      <Position>8</Position>
      <DataType>bigint|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="102" parent="32" name="status_id">
      <Position>9</Position>
      <DataType>bigint|0s</DataType>
      <StateNumber>512398</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <index id="103" parent="32" name="users_pkey">
      <ObjectId>72421</ObjectId>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="104" parent="32" name="uk_7s5nlreekaxdbfml4ofky7utw">
      <ObjectId>72429</ObjectId>
      <ColNames>profile_id</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="105" parent="32" name="uk_1019ajywhlntpuwmi52mo07ag">
      <ObjectId>72431</ObjectId>
      <ColNames>status_id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="106" parent="32" name="users_pkey">
      <ObjectId>72422</ObjectId>
      <ColNames>id</ColNames>
      <UnderlyingIndexName>users_pkey</UnderlyingIndexName>
      <Primary>1</Primary>
    </key>
    <key id="107" parent="32" name="uk_7s5nlreekaxdbfml4ofky7utw">
      <ObjectId>72430</ObjectId>
      <ColNames>profile_id</ColNames>
      <UnderlyingIndexName>uk_7s5nlreekaxdbfml4ofky7utw</UnderlyingIndexName>
    </key>
    <key id="108" parent="32" name="uk_1019ajywhlntpuwmi52mo07ag">
      <ObjectId>72432</ObjectId>
      <ColNames>status_id</ColNames>
      <UnderlyingIndexName>uk_1019ajywhlntpuwmi52mo07ag</UnderlyingIndexName>
    </key>
    <foreign-key id="109" parent="32" name="fk5q3e9303ap1wvtia6sft7ht1s">
      <ObjectId>72475</ObjectId>
      <ColNames>profile_id</ColNames>
      <RefTableId>72395</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>profile</RefTableName>
      <RefKeyName>profile_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="110" parent="32" name="fk3m08uc0bd36m6tgp3g65m20dl">
      <ObjectId>72480</ObjectId>
      <ColNames>status_id</ColNames>
      <RefTableId>72406</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>status</RefTableName>
      <RefKeyName>status_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="111" parent="33" name="user_id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512399</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="112" parent="33" name="userbanlist_id">
      <Position>2</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512399</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <foreign-key id="113" parent="33" name="fk7v6lx34t6ewr87no9fvmg4pf2">
      <ObjectId>72490</ObjectId>
      <ColNames>user_id</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="114" parent="33" name="fk550u1c349t2tqsvcjc8ppa35c">
      <ObjectId>72485</ObjectId>
      <ColNames>userbanlist_id</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="115" parent="34" name="user_id">
      <Position>1</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512400</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <column id="116" parent="34" name="gameprofilelist_id">
      <Position>2</Position>
      <DataType>bigint|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>512400</StateNumber>
      <TypeId>20</TypeId>
    </column>
    <index id="117" parent="34" name="uk_9kf290vgrrsap5pgy09k867u8">
      <ObjectId>72433</ObjectId>
      <ColNames>gameprofilelist_id</ColNames>
      <Unique>1</Unique>
    </index>
    <key id="118" parent="34" name="uk_9kf290vgrrsap5pgy09k867u8">
      <ObjectId>72434</ObjectId>
      <ColNames>gameprofilelist_id</ColNames>
      <UnderlyingIndexName>uk_9kf290vgrrsap5pgy09k867u8</UnderlyingIndexName>
    </key>
    <foreign-key id="119" parent="34" name="fkbbmqjrgccjf7ol9ai3qqvph4x">
      <ObjectId>72500</ObjectId>
      <ColNames>user_id</ColNames>
      <RefTableId>72414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>users</RefTableName>
      <RefKeyName>users_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="120" parent="34" name="fk5og7ll4nty6leo3cdnlv1ypyk">
      <ObjectId>72495</ObjectId>
      <ColNames>gameprofilelist_id</ColNames>
      <RefTableId>72368</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>game_profile</RefTableName>
      <RefKeyName>game_profile_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
  </database-model>
</dataSource>